###################################################
### chunk number 1: 
###################################################
options(width=85)
library(gRbase)


###################################################
### chunk number 2: 
###################################################
library(gRbase)
data(HairEyeColor)
gmdHec  <- as.gmData(HairEyeColor)  # define data
gmdHec

valueLabels(gmdHec)


###################################################
### chunk number 3: 
###################################################
hecM1 <- hllm(~Hair*Eye+Sex,gmdHec)# indep. of Sex   
hecM1 <- fit(hecM1,engine="loglm")   
anova(getFit(hecM1))                   # test against saturated model


###################################################
### chunk number 4: 
###################################################
data(rats)
gmdRats <- as.gmData(rats)
gmdRats


###################################################
### chunk number 5: 
###################################################
gmdRatsNodata  <-  newgmData(
                         varNames=c("Sex","Drug","W1","W2"),
                         varTypes=c("Discrete", "Discrete",
"Continuous", "Continuous"),
                         nLevels=c(2,3,NA,NA), 
                         valueLabels=list( Sex=c("M", "F"),
Drug=c("D1", "D2", "D3")))
gmdRatsNodata
valueLabels(gmdRatsNodata)


###################################################
### chunk number 6: 
###################################################
d  <-  newgmData(varNames=c("Sex","Drug","W1","W2"),
                 varTypes=c("Discrete", "Discrete",
"Continuous", "Continuous"))
d
valueLabels(d)


###################################################
### chunk number 7: 
###################################################
validVarTypes()


###################################################
### chunk number 8: 
###################################################
oldtypes <- validVarTypes()
validVartypes <- function() c(oldtypes, "PosCont")
validVartypes()


###################################################
### chunk number 9: 
###################################################
observations(gmdRatsNodata) <- rats
valueLabels(gmdRatsNodata)$Sex <- c("Male","Female")
valueLabels(gmdRatsNodata)


###################################################
### chunk number 10: 
###################################################
d <- list(varNames=c("Aa","Bb"), nLevels=c(2,2), counts=c(12,20,33,41))
class(d) <- "countsList"
d


###################################################
### chunk number 11: 
###################################################
as.gmData.countsList <- function(from){
  ans <- newgmData(varNames=from$varNames, nLevels=from$nLevels)
  observations(ans) <- from$counts
  return(ans)
}


###################################################
### chunk number 12: 
###################################################
gd<-as.gmData(d)
valueLabels(gd)
observations(gd)


###################################################
### chunk number 13: 
###################################################
#options(width=50)


###################################################
### chunk number 14: 
###################################################
#options(width=50)


###################################################
### chunk number 15: 
###################################################
m1 <- hllm(~.^.,gmdHec)   # saturated
formula(m1)


###################################################
### chunk number 16: 
###################################################
#options(width=50)


###################################################
### chunk number 17: 
###################################################
m2 <- hllm(~Hair*Eye+Sex,gmdHec)


###################################################
### chunk number 18: 
###################################################
#options(width=50)


###################################################
### chunk number 19: 
###################################################
m3 <- hllm(~.^1,gmdHec)   # all main effects
formula(m3)


###################################################
### chunk number 20: 
###################################################
#options(width=50)


###################################################
### chunk number 21: 
###################################################
m4 <- hllm(~.^.,gmdHec,marginal=c("Hair","Eye")) 
formula(m4)


